[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#349982: Please merge debian/procps.sh patch (from debian/patches/40_gnu-kbsd.dpatch)

Package: procps
Version: 1:3.2.6-2
Severity: wishlist
Tags: patch


I think the part of the debian/patches/40_gnu-kbsd.dpatch that applies to
debian/procps.sh should be merged into the debian diff -- looks like an
oversight.  I'm attaching it for your convenience.

The rest of the patch that applies to upstream source can be dropped altogether,
since recent fixes in our system headers make it no longer needed.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)

Versions of packages procps depends on:
ii  libc6                         2.3.5-8.1  GNU C Library: Shared libraries an
ii  libncurses5                   5.5-1      Shared libraries for terminal hand

Versions of packages procps recommends:
ii  psmisc                        22.1-1     Utilities that use the proc filesy

-- no debconf information
--- ./debian/procps.sh	2005-11-02 13:21:56.000000000 +1100
+++ ./debian/procps.sh	2005-11-02 13:23:12.000000000 +1100
@@ -17,8 +17,9 @@
 [ -r /etc/default/rcS ] || exit 0
 . /etc/default/rcS
-[ -x /sbin/sysctl ] || exit 0
+which sysctl > /dev/null || exit 0
 case "$1" in
@@ -33,7 +34,7 @@
-               /sbin/sysctl $quiet -p
+               sysctl $quiet -p
                if [ "$VERBOSE" = "yes" ]
 			echo "... done."

Reply to: